/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package core;

import file.LevelParser;
import globals.Settings;

/**
 * The abstract class from which GameFactories are derived.
 */
public abstract class GameFactory {
	void restoreDefaults() {
	}

	void accessSettings() {
	}

	void getSettings(Settings scb) {
	}

	void updateSettings() {
	}
	
	void restoreSettings() {
	}
	
	/*
	 * FACTORY METHODS
	 * 
	 * subclasses must override these
	 */
	public abstract LevelParser newLevelParser();
	
	public abstract GameInfo newGameInfo();
}