/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package general;

import java.util.*;
import java.io.*;

/**
 * A simple wrapper for LinkedList<String> which adds input parsing.
 */
public class StringList extends LinkedList<String> {
	public StringList() {
	}

	/**
	 * Parse a file into a list of strings
	 */
	public StringList(InputStream in) throws IOException {
		if (in != null) {
			BufferedReader br = new BufferedReader(new InputStreamReader(in));
			String s = br.readLine();
			while (s != null) {
				add(s);
				s = br.readLine();
			}
			br.close();
		}
	}
}
