/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gui_common;

import globals.Constants;

import java.util.Observable;
import java.util.Observer;

import javax.swing.JLabel;
import javax.swing.JToolBar;

import core.GameSwitcher;

/**
 * A toolbar which displays info about the game.
 */
class InfoBar extends JToolBar implements Observer {
	JLabel[] info;

	InfoBar(GameSwitcher gs) {

		// I just don't like floatable toolbars!
		setFloatable(false);
		info = new JLabel[Constants.infoText_number];
		
		for (int i = 0; i < Constants.infoText_number; i++) {
			info[i] = new JLabel("");
			add(info[i]);
			if (i < Constants.infoText_number - 1) {
				addSeparator();
			}
		}
		
		/* We observe the panel to obtain the info text */
		gs.addObserver(this);
	}

	public void update(Observable o, Object arg) {
		if (o instanceof GameSwitcher) {
			String[] it = ((GameSwitcher) o).get_infoText();
			int i = 0;
			// add the info texts returned
			if (it != null) {
				for (; i < it.length && i < Constants.infoText_number; i++) {
					info[i].setText(it[i]);
				}
			}
			// blank out the remaining info texts if there is a surplus.
			for (; i < Constants.infoText_number; i++)
				info[i].setText("");
		}
	}
}