/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gui_common;


import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import core.GameSwitcherInterface;

/**
 * Listener for mouse events.
 */
public class MouseListener extends MouseAdapter {
	GameSwitcherInterface mouse_listener;
	GamePanel game_panel;
	
	MouseListener(GameSwitcherInterface gal, GamePanel gp) {
		mouse_listener = gal;
		game_panel = gp;
	}

	public void mouseReleased(MouseEvent e) {
		mouse_listener.action_mouse(e);
		game_panel.requestFocusInWindow();
	}
}


