/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package level;

import tessellation.Direction;
import tessellation.Position;

/**
 * An immovable UnitUnitShape.
 */
public class Gate extends UnitUnitShape {
	public Gate() {
		super(Unit.gate, new UnitPaint_Gate(0));
	}

	protected double resistance(Direction dir) {
		// gates have immovable resistance in all directions
		return Resistance.immovable;
	}

	void paintInto(UnitGraphics g, Position rel, int superSelection) {
		g.setPaint(unit_paint.getPaint());
		g.fill(g.unitOutline(rel));
		paintSelected(g, rel, applySuperSelection(superSelection));
	}
}
