/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package level;

import tessellation.Position;

/**
 * The shape occupied by a person
 */
public class Person extends UnitUnitShape {
	Person() {
		super(Unit.person, new UnitPaint_Person(0));
		strength = Resistance.defaultStrength;
		selectable[0] = true;
		selectable[1] = true;
	}

	Person(int i) {
		super(Unit.person, new UnitPaint_Person(i));
		strength = Resistance.defaultStrength;
		selectable[0] = true;
		selectable[1] = true;
	}

	void paintInto(UnitGraphics g, Position rel, int superSelection) {
		g.setPaint(unit_paint.getPaint());
		g.fill(g.unitCircle(rel));
		paintSelected(g, rel, applySuperSelection(superSelection));
	}

	/*
	 * Use a circular selector for people
	 */
	protected void paintSelected(UnitGraphics g, Position rel,
			int superSelection) {
		g.setPaint((new UnitPaint_Selection(selector)).getPaint());
		g.fill(g.unitCircleHole(rel));
	}

	/**
	 * A person requires strength to push shapes.
	 */
	double strength;
}
