/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package level;

import java.util.LinkedList;

import tessellation.TessellationManager;
import tessellation.Position;

/**
 * A single floor tile.
 */
abstract class UnitFloor extends Floor {
	UnitFloor(char u, UnitPaint up) {
		the_unit = u;
		unit_paint = up;
	}

	char at(Position pos) {
		if (pos.equals(TessellationManager.newPosition()))
			return the_unit;
		else
			return Unit.empty;
	}

	LinkedList<Position> nonEmptyPositions() {
		// return a new list containing the origin
		LinkedList<Position> pl = new LinkedList<Position>();
		pl.add(TessellationManager.newPosition());
		return pl;
	}

	private char the_unit;
}
