/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package sokoban;

import level.Level;
import file.LevelParseException;


/**
 * Parses levels in xsb format.
 * A Xsb parser is really just a Oban parser
 */
class XsbLevelParser extends ObanLevelParser {
	protected String getGameTitle() {
		return "Sokoban";
	}

	protected String getExtension() {
		return "xsb";
	}

	protected Level parseLevel(String t, String a, String[] sa, int levelNo, int levelDepth)
			throws LevelParseException {
		// we simply reduce the strings and return the result of using the
		// .xsb parser
		return super.parseLevel(t, a, sa, levelNo, levelDepth, SokobanFactory.game_info);
	}

	protected boolean isLevelLine(String s) {
		return XsbParseUnit.sokoban_line(s);
	}
}
