/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package sokoban;

import file.ParseUnit;

/**
 * class which holds character constants for parsing.
 */
class XsbParseUnit extends ParseUnit {
	static String goalPattern = new String("[" + goal + persongoal + blockgoal
			+ "]");

	/**
	 * Returns true if the string is a valid sokoban line.
	 */
	static boolean sokoban_line(String s) {
		return s.matches(" *" + wall + "[" + empty + wall + block + goal
				+ person + persongoal + blockgoal + "]*");
	}

	/**
	 * Returns a string with all non-floor units removed.
	 */
	static String floor_version(String s) {
		return s.replaceAll("[" + wall + person + block + "]",
				String.valueOf(empty)).replaceAll(goalPattern,
				String.valueOf(goal));
	}
}
